update username
1 min
PATCH
https://api.upstartcommerce.com/v1/customer/{customerId}/login
customerIdstringUnique identifier for the consumer that the call should be interacting with.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe request must contain the new username.
200<p>Success-consumer username updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request PATCH \
--url https://api.upstartcommerce.com/v1/customer/{customerId}/login \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"login": ""
}'